org.apache.olingo.netty.server.api

## Class ODataNetty

- java.lang.Object
- - org.apache.olingo.server.api.OData
  - - org.apache.olingo.netty.server.api.ODataNetty

- Direct Known Subclasses:
    ODataNettyImpl

      public abstract class ODataNetty
      extends OData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataNetty()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ODataNettyHandler` | `createNettyHandler(ServiceMetadata serviceMetadata)` Creates a new ODataNettyHandler for handling OData requests in an HTTP context.
    `static ODataNetty` | `newInstance()` Use this method to create a new OData instance.

    - ### Methods inherited from class org.apache.olingo.server.api.OData

      `createDebugResponseHelper, createDeserializer, createDeserializer, createDeserializer, createDeserializer, createEdmAssistedSerializer, createEdmAssistedSerializer, createEdmDeltaSerializer, createETagHelper, createFixedFormatDeserializer, createFixedFormatSerializer, createHandler, createPreferences, createPrimitiveTypeInstance, createRawHandler, createSerializer, createSerializer, createServiceMetadata, createServiceMetadata, createUriHelper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataNetty

          public ODataNetty()

  - ### Method Detail

    - #### newInstance

          public static ODataNetty newInstance()

      Use this method to create a new OData instance. Each thread/request should keep its own instance.
      Returns:
        a new OData instance

    - #### createNettyHandler

          public abstract ODataNettyHandler createNettyHandler(ServiceMetadata serviceMetadata)

      Creates a new ODataNettyHandler for handling OData requests in an HTTP context.
      Parameters:
        `serviceMetadata` - - metadata object required to handle an OData request

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.